You are not logged in.

#1 2014-01-20 01:38:10

jkelsey
Member
Registered: 2014-01-20
Posts: 2

[SOLVED] LIghtdm - Can't find session 'default'

Hi all,

I'm having problems getting Lightdm to start my desktop session. I'm using the lightdm-webkit-greeter with this theme, and bspwm as my wm. On boot, I get to the lightdm greater just fine, but when I select a user and login, lightdm freezes and the bspwm session doesn't appear to start. To login, I have to ctrl+alt+F2 to another virtual terminal and start bspwm with startx. Inspecting the /var/log/lightdm/lightdm.log file gives me the following:

[+0.00s] DEBUG: Logging to /var/log/lightdm/lightdm.log
[+0.00s] DEBUG: Starting Light Display Manager 1.8.5, UID=0 PID=215
[+0.00s] DEBUG: Loading configuration from /etc/lightdm/lightdm.conf
[+0.00s] DEBUG: Using D-Bus name org.freedesktop.DisplayManager
[+0.00s] DEBUG: Registered seat module xlocal
[+0.00s] DEBUG: Registered seat module xremote
[+0.00s] DEBUG: Registered seat module unity
[+0.00s] DEBUG: Registered seat module surfaceflinger
[+0.00s] DEBUG: Adding default seat
[+0.00s] DEBUG: Seat: Starting
[+0.00s] DEBUG: Seat: Creating greeter session
[+0.00s] DEBUG: Seat: Setting XDG_SEAT=seat0
[+0.00s] DEBUG: Seat: Creating display server of type x
[+0.00s] DEBUG: Seat: Starting local X display
[+0.00s] DEBUG: Could not run plymouth --ping: Failed to execute child process "plymouth" (No such file or directory)
[+0.00s] DEBUG: Using VT 1
[+0.00s] DEBUG: DisplayServer x-0: Logging to /var/log/lightdm/x-0.log
[+0.01s] DEBUG: DisplayServer x-0: Writing X server authority to /run/lightdm/root/:0
[+0.01s] DEBUG: DisplayServer x-0: Launching X Server
[+0.01s] DEBUG: Launching process 220: /usr/sbin/X :0 -auth /run/lightdm/root/:0 -nolisten tcp vt1 -novtswitch
[+0.01s] DEBUG: DisplayServer x-0: Waiting for ready signal from X server :0
[+0.01s] DEBUG: Acquired bus name org.freedesktop.DisplayManager
[+0.01s] DEBUG: Registering seat with bus path /org/freedesktop/DisplayManager/Seat0
[+1.09s] DEBUG: Got signal 10 from process 220
[+1.09s] DEBUG: DisplayServer x-0: Got signal from X server :0
[+1.09s] DEBUG: DisplayServer x-0: Connecting to XServer :0
[+1.09s] DEBUG: Seat: Display server ready, starting session authentication
[+1.09s] DEBUG: Session: Setting XDG_VTNR=1
[+1.09s] DEBUG: Session pid=297: Started with service 'lightdm-greeter', username 'lightdm'
[+1.14s] DEBUG: Session pid=297: Authentication complete with return value 0: Success
[+1.14s] DEBUG: Seat: Session authenticated, running command
[+1.14s] DEBUG: Session pid=297: Setting XDG_VTNR=1
[+1.14s] DEBUG: Session pid=297: Running command /usr/sbin/lightdm-webkit-greeter
[+1.14s] DEBUG: Session pid=297: Logging to /var/log/lightdm/x-0-greeter.log
[+1.14s] DEBUG: Activating VT 1
[+1.41s] DEBUG: Session pid=297: Greeter connected version=1.8.5
[+5.31s] DEBUG: Session pid=297: Greeter start authentication for jkelsey
[+5.31s] DEBUG: Seat: Setting XDG_SEAT=seat0
[+5.31s] DEBUG: Session: Setting XDG_VTNR=1
[+5.31s] DEBUG: Session pid=355: Started with service 'lightdm', username 'jkelsey'
[+5.32s] DEBUG: Session pid=355: Got 1 message(s) from PAM
[+5.32s] DEBUG: Session pid=297: Prompt greeter with 1 message(s)
[+13.46s] DEBUG: Session pid=297: Continue authentication
[+13.48s] DEBUG: Session pid=355: Authentication complete with return value 0: Success
[+13.48s] DEBUG: Session pid=297: Authenticate result for user jkelsey: Success
[+13.48s] DEBUG: Session pid=297: User jkelsey authorized
[+13.48s] DEBUG: Session pid=297: Greeter requests session default
[+13.50s] DEBUG: Writing /home/jkelsey/.dmrc
[+13.50s] DEBUG: Seat: Failed to find session configuration default
[+13.50s] DEBUG: Seat: Can't find session 'default'

The most relevant message appears to be the "Can't find session 'default'". I haven't been able to find much of anything that explains what that means. Following the direction of other Arch users who are running lightdm/bspwm, I have a bspwm.desktop file in my /usr/share/xessions directory with the following:

[Desktop Entry]
Encoding=UTF-8
Name=bspwm
Comment=Launch a bspwm session
Exec=/usr/bin/bspwm-session
Type=XSession

And a script named bspwm-session (permissions: 755) in /usr/bin:

#! /bin/bash
#
# bspwm-session
#
# This script is a session launcher for bspwm.
# It is based on similar scripts included with Openbox.

if [ -n "$1" ]; then
    echo "Usage: bspwm-session"
    echo
    exit 1
fi

# Multi-user support:
state_prefix=${XDG_CACHE_HOME:-"$HOME/.cache"}
mkdir -p "${state_prefix}"

if [ ! -d "${state_prefix}" ]; then
    echo "bspwm-session: cache directory ‘${state_prefix}‘ is missing."
    echo
    exit 1
elif [ ! -w "${state_prefix}" ]; then
    echo "bspwm-session: cache directory ‘${state_prefix}‘ is not writable."
    echo
    exit 1
fi

state_path=$(mktemp -d "${state_prefix}/bspwm-session.XXXXXX")

if [ $? -ne 0 ]; then
    echo "bspwm-session: failed to create state directory ‘${state_path}‘."
    echo
    exit 1
fi

export BSPWM_SOCKET=${state_path}/bspwm-socket

# Trap: make sure everything started in ~/.config/bspwm/autostart is
# signalled when this script exits or dies. Also clean up $state_path.
function on_exit {
    for child in $(jobs -p); do
        jobs -p | grep -q $child && kill $child
    done
    # Extra paranoia
    [[ -d "${state_path}" && -w "${state_path}" ]] && rm -rf -- "${state_path}"
}

trap on_exit EXIT SIGHUP SIGINT SIGTERM

# Environment and autostart:
source_these=(
    "/etc/profile",
    "${HOME}/.profile",
    "${XDG_CONFIG_HOME:-"$HOME/.config"}/bspwm/autostart"
)

for file in "${source_these[@]}"; do
    [ -r "${file}" ] && . "${file}"
done

# Launch sxhkd:
sxhkd &

# Launch Compton
compton --backend glx --paint-on-overlay --vsync opengl-swc &

# Launch bspwm:
bspwm

I also tried creating a copy of the bspwm.desktop file named default.desktop file because of the message above. That didn't help anything, and I'm out of ideas.

Any help is appriciated.

Last edited by jkelsey (2014-01-21 21:31:16)

Offline

#2 2014-01-20 21:55:11

rainbowdashc
Member
Registered: 2013-09-30
Posts: 70

Re: [SOLVED] LIghtdm - Can't find session 'default'

Try changing the setting in /etc/lightdm/lightdm.conf from 'default' to 'bspwm'.

Offline

#3 2014-01-21 21:30:43

jkelsey
Member
Registered: 2014-01-20
Posts: 2

Re: [SOLVED] LIghtdm - Can't find session 'default'

Wow, that fixed the issue for me. So obvious, I feel silly! Thank you.

Last edited by jkelsey (2014-01-21 21:31:54)

Offline

#4 2015-07-01 07:47:31

nicolito
Member
Registered: 2014-02-25
Posts: 7

Re: [SOLVED] LIghtdm - Can't find session 'default'

I am having a similar issue. I am using gnome with lightdm, and after updating yesterday I get the same "Can't find session default" message, with lightdm getting stuck at the login screen.
It worked fine before. I noticed lightdm-webkit-greeter was replaced by lightdm-webkit2-greeter for being a dependency, to anthergos I believe. I had to change the greeter-session setting in lightdm.conf manually to get to the login screen so I believe there are other setting s that are more settings that may need to be adjusted.

I would like to try the suggestion by rainbowdashc, but which setting are you referring to?

Last edited by nicolito (2015-07-01 07:47:59)

Offline

#5 2015-07-01 17:16:05

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 11,903
Website

Re: [SOLVED] LIghtdm - Can't find session 'default'

nicolito wrote:

I am having a similar issue.

Then please open a new topic about it, rather than bumping old "[solved]" topics. If you can't determine something which was obvious when this topic was active, then things have clearly moved on.
https://wiki.archlinux.org/index.php/Fo … bumping.22

Closing.


Sakura:-
Mobo: MSI MAG X570S TORPEDO MAX // Processor: AMD Ryzen 9 5950X @4.9GHz // GFX: AMD Radeon RX 5700 XT // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 6x 1TB SSD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Online

Board footer

Powered by FluxBB